import './index.less';

var WingBlank = {
    name: 'SnWingBlank',
    props: {
        size: {
            type: String,
            'default': 'base',
            validator: function validator(value) {
                return ['base', 'lg', 'sm'].indexOf(value) > -1;
            }
        }
    },
    render: function render(h) {
        var size = this.size,
            style = this.style,
            $slots = this.$slots;

        var className = {
            'sn-wing-blank': true
        };
        className['sn-wing-blank-' + size] = true;

        return h(
            'div',
            { 'class': className, style: style },
            [$slots['default']]
        );
    }
};

WingBlank.install = function (Vue) {
    Vue.component(WingBlank.name, WingBlank);
};

export default WingBlank;